Bug 15017 - Bad sym links in /usr/include
Summary: Bad sym links in /usr/include
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-01 17:57 UTC by daryl herzmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-01 17:57:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description daryl herzmann 2000-08-01 17:57:38 UTC
On two seperate installs now, I have had /usr/include/linux and
/usr/include/asm point to the wrong directory.  It points to the 2.4
headers and not hte 2.2.16.  Or am I confused here....

Comment 1 Alan Cox 2000-08-01 18:32:35 UTC
It points to the headers matching the glibc library set not your current kernel.
This is correct for
all glibc systems


Comment 2 Brian J. Conway 2000-08-01 20:57:02 UTC
If this won't be changing accoding to your kernel, do you think then that it
might be a wise idea to not have these symlinked at all?  It would clear a lot
of confusion to just have the necessary 2.4 asm and linux directories in
include.

Comment 3 Need Real Name 2000-08-25 16:49:59 UTC
I'm not sure I agree with this resolution (though I admit I may not know enough
to disagree).

I just installed RH7 and installed the NVidia X4.0.1 drivers by hand.  The
instructions I was reading were referring to /usr/include/linux/autoconf.h,
which was supposed to match my CURRENT kernel, which is very much 2.2.16.  There
was talk about setting the AGP module, etc, which to my knowledge doesn't exist
under 2.2.x.  I thought the NVidia driver knows what kernel to build for based
upon these #defines.

Correct me if I'm wrong.....

- Matt


Note You need to log in before you can comment on or make changes to this bug.